Subject: [PATCH v2] ARM: socfpga: dts: Add adxl34x

From: [email-masked] (Dinh Nguyen)
Date: Thu, 25 Jun 2015 12:05:53 -0500

On 6/25/15 12:01 PM, Walter Lozano wrote:
> On Thu, Jun 25, 2015 at 4:28 AM, Geert Uytterhoeven
> <[email-masked]> wrote:
>> On Tue, Jun 23, 2015 at 10:20 PM, Walter Lozano
>> <[email-masked]> wrote:
>>> On Mon, Mar 23, 2015 at 11:29 PM, Walter Lozano
>>> <[email-masked]> wrote:
>>>> On Mon, Mar 23, 2015 at 12:03 AM, Dinh Nguyen
>>>> <[email-masked]> wrote:
>>>>> On 3/19/15 4:27 PM, Walter Lozano wrote:
>>>>>> On Mon, Mar 16, 2015 at 10:10 AM, Walter Lozano
>>>>>> <[email-masked]> wrote:
>>>>>>> On Mon, Jan 5, 2015 at 6:21 AM, Steffen Trumtrar
>>>>>>> <[email-masked]> wrote:
>>>>>>>> On Wed, Dec 24, 2014 at 08:11:52PM -0300, Walter Lozano wrote:
>>>>>>>>> This patch adds the DTS bindings for the adxl34x digital
>>>>>>>>> accelerometer.
>>>>>>>>>
>>>>>>>>> Signed-off-by: Walter Lozano <[email-masked]>
>>>>>>>>> ---
>>>>>>>>>  arch/arm/boot/dts/socfpga_cyclone5_sockit.dts |   16 ++++++++++++++++
>>>>>>>>>  1 file changed, 16 insertions(+)
>>>>>>>>>
>>>>>>>>> diff --git a/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts b/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>>>>>>> index 16ea6f5..d343e03 100644
>>>>>>>>> --- a/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>>>>>>> +++ b/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts
>>>>>>>>> @@ -60,6 +60,22 @@
>>>>>>>>>       rxc-skew-ps = <2000>;
>>>>>>>>>  };
>>>>>>>>>
>>>>>>>>> +&gpio2 {
>>>>>>>>> +     status = "okay";
>>>>>>>>> +};
>>>>>>>>> +
>>>>>>>>> +&i2c1 {
>>>>>>>>> +     status = "okay";
>>>>>>>>> +
>>>>>>>>> +     accel1: accelerometer at 53 {
>>>>>>>>> +             compatible = "adxl34x";
>>>>>
>>>>> Shouldn't this be "adi,adxl34x"? At least that's what the documentation
>>>>> says.
>>>>>
>>>>>>>>> +             reg = <0x53>;
>>>>>>>>> +
>>>>>>>>> +             interrupt-parent = <&portc>;
>>>>>>>>> +             interrupts = <3 2>;
>>>>>>>>> +     };
>>>>>>>>> +};
>>>>>>>>> +
>>>>>>>>>  &mmc0 {
>>>>>>>>>       vmmc-supply = <&regulator_3_3v>;
>>>>>>>>>       vqmmc-supply = <&regulator_3_3v>;
>>>>>>>>
>>>>>>>> I just gave it a short spin. I get some interrupts and the position property
>>>>>>>> changes, so it seems to work:
>>>>>>>>
>>>>>>>>         Acked-by: Steffen Trumtrar <[email-masked]>
>>>>>>>>
>>>>>>>
>>>>>>> Ping?
>>>>>>> How should this continue?
>>>>>>
>>>>>> Any news about this patch? It has been acked by Pavel Machek and
>>>>>> Steffen Trumtrar a while ago.
>>>>>>
>>>>>
>>>>> Sorry, since I wasn't CC on the original patch and somehow my filter
>>>>> didn't catch it, I didn't see this patch until now.
>>>>
>>>> No problem, I know it was my fault as I trust the output of get_maintainer.pl
>>>>
>>>
>>> Ping?
>>>
>>> --
>>> Walter Lozano, VanguardiaSur
>>> www.vanguardiasur.com.ar
>>> --
>>> To unsubscribe from this list: send the line "unsubscribe devicetree" in
>>> the body of a message to majordomo at vger.kernel.org
>>> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>>
>> Now these commits are in:
>>   - 3a38958d2477b718 ("Input: adxl34x - add OF match support") [1]
>>   - e465bf6fc55d5ce2 ("DT: i2c: Deprecate adi,adxl34x compatible string") [2]
>>
>> you can use "adi,adxl345" (or "adi,adxl346", "adi,adxl345").
>>
>> [1] http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3a38958d2477b718d1011fb88c24c4f264ee9700
>> [2] http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e465bf6fc55d5ce21fb45a75c3fa613505e6be20
>>
>> Gr{oetje,eeting}s,
>>
>>                         Geert
>>
>> --
>> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- geert at linux-m68k.org
>>
>> In personal conversations with technical people, I call myself a hacker. But
>> when I'm talking to journalists I just say "programmer" or something like that.
>>                                 -- Linus Torvalds
> 
> 
> Thanks for the information Geert.
> 
> Dihn, as I can see you have apply an old version of the this patch
> (V1), instead of V2 which has some format corrections suggested by
> Steffen Trumtrar. I addition, as Geert points, the compatibility
> string should now be updated.
> 
> How would you like to proceed?
> 

Your commit is staged for v4.2 in the arm-soc tree[1]. Please submit a
patch to correct it for an -rc.

[1]
https://git.kernel.org/cgit/linux/kernel/git/arm/arm-soc.git/commit/arch/arm/boot/dts/socfpga_cyclone5_sockit.dts?h=for-next&id=bf513bf04660321eb6181082def79ee1fd93b48f

Dinh